Subject: [PATCH 3/3] clk: meson-g12a: Add EE Clock controller driver

From: [email-masked] (Kevin Hilman)
Date: Thu, 19 Jul 2018 09:53:03 -0500

Yixun Lan <[email-masked]> writes:

> On 07/19/2018 10:06 PM, Kevin Hilman wrote:
>> Yixun Lan <[email-masked]> writes:
>> 
>> [...]
>> 
>>>>
>>>> As Jerome said, I think consistency is an important goal, so leaving off
>>>> the "meson-" for drivers/clk is fine with me.
>>>>
>>> ok
>>>
>>>> Also for consistency, for the rest of the drivers, keeping "meson-" is
>>>> probably the right thing to do.
>>>>
>>> ok, for the above, you are talking about the already exist compatible
>>> names? or the patches we will push in the future?
>> 
>> I'm talking about future patches.
>> 
> ok
>
>>>> However, patches would be welcome to add compatibles without the "meson"
>>>> for the rest of the drivers & documentation as well, but please do not
>>>> remove any compatibles.
>>>>
>>> I assume you are talking about the patches in the future we will push?
>>> to drop the "meson".
>>>
>>> I'm confused here, as the above two paragraphs conflict with each other
>> 
>> Yeah, what I wrote is confusing, sorry about that.
>> 
>> What I mean is that new patches should stay consistent with compatibles
>> in their existing drivers/subsystems.  That means keeping the "meson-"
>> prefix for everything except drivers/clk.
>> 
> sounds good to me.
>
>> In addition to that, patches would be welcome for *adding* compatibles
>> without "meson" to all the current drivers.
>> 
> not sure if I parse above correctly, so let me rephrase..
>
> for "all the current drivers", do you mean all the drivers which already
> accepted at mainline kernel, which are mmc, uart, spi, i2c ..

Yes.

> all of them follow "amlogic,meson-${SOC}-${FUNCTION}", so do you propose
> to add compatbiles like "amlogic,${SOC}-${FUNCTION}" ?

Yes, but that's an optional future cleanup.

> take i2c for example, there is "amlogic,meson-axg-i2c" already, do you
> want to add another "amlogic,axg-i2c" ? I feel this will adding more
> confusion..

Possibly, but it will provide a path to remove the "meson-" prefix in
the future if we would like.

> How about only following the "amlogic,${SOC}-${FUNCTION}" syntax in the
> new added drivers in the future, for example NAND, PCIE driver which we
> want to push (those drivers doesn't exist in current mainline kernel).

For new drivers, it's fine to not use the "meson-" prefix at all.

Kevin